#!/bin/sh

new="append  "
l=$(grep ^append -m 1 /cdrom/boot/extlinux.conf)
for i in $l; do
    case $i in
        locale=*)
            new="$new locale=$1"
            ;;
        console-setup/layoutcode=*)
            new="$new console-setup/layoutcode=$2"
            ;;
        xkbdlayout=*)
            new="$new xkbdlayout=$2"
            ;;
        *)
            new="$new $i"
            ;;
    esac
done

echo $new | grep -q locale
[ $? -ne 0 ] && new="$new locale=$1"

echo $new | grep -q console-setup/layoutcode
[ $? -ne 0 ] && new="$new console-setup/layoutcode=$2"

echo $new | grep -q xkbdlayout
[ $? -ne 0 ] && new="$new xkbdlayout=$2"

sed -ri "s,$l,$new," /cdrom/boot/extlinux.conf

setxkbmap $2

